# Class yii\elasticsearch\Exception

Inheritance | yii\elasticsearch\Exception » yii\db\Exception » yii\base\Exception » Exception
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2-elasticsearch/blob/master/Exception.php

Exception represents an exception that is caused by Elasticsearch-related operations.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$errorInfo | array | The error info provided by a PDO exception. | yii\db\Exception

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | Constructor. | yii\db\Exception
__toString() |  | yii\db\Exception
getName() |  | yii\elasticsearch\Exception

## Method Details

getName() public method

public string getName ( )
return | string | The user-friendly name of this exception